## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pandas-flavor
Version:        0.6.0
Release:        %autorelease
Summary:        The easy way to write your own flavor of Pandas

# SPDX
License:        MIT
URL:            https://github.com/Zsailer/pandas_flavor
Source0:        %{url}/archive/v%{version}/pandas_flavor-%{version}.tar.gz

BuildArch:      noarch
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  python3-devel

# This is easier than running the tests with the unittest module.
BuildRequires:  python3dist(pytest)

%global common_description %{expand: \
The easy way to write your own flavor of Pandas
-----------------------------------------------

Pandas 0.23 added a (simple) API for registering accessors with Pandas objects.

Pandas-flavor extends Pandas’ extension API by:

  1. adding support for registering methods as well.
  2. making each of these functions backwards compatible with older versions of
     Pandas.

What does this mean?
--------------------

It is now simpler to add custom functionality to Pandas DataFrames and Series.

Import this package. Write a simple python function. Register the function
using one of the following decorators.

Why?
----

Pandas is super handy. Its general purpose is to be a "flexible and powerful
data analysis/manipulation library".

Pandas Flavor allows you add functionality that tailors Pandas to specific
fields or use cases.

Maybe you want to add new write methods to the Pandas DataFrame? Maybe you want
custom plot functionality? Maybe something else?}

%description
%{common_description}


%package -n python3-pandas-flavor
Summary:        %{summary}

# Renamed binary package to match project canonical name.
Provides:       python3-pandas_flavor = %{version}-%{release}
Obsoletes:      python3-pandas_flavor < 0.3.0^20220417gitf930814-7

%description -n python3-pandas-flavor
%{common_description}


%prep
%autosetup -n pandas_flavor-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pandas_flavor


%check
%pytest
# The tests are minimal enough that we do an import “smoke test” as well.
%pyproject_check_import


%files -n python3-pandas-flavor -f %{pyproject_files}
# pyproject_files handles LICENSE; verify with “rpm -qL -p …”
%doc CHANGELOG.md
%doc README.md
%doc docs/_images/example.png


%changelog
* Mon Aug 14 2023 Packit <hello@packit.dev> - 0.6.0-1
- [packit] 0.6.0 upstream release

* Mon Aug 14 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5.0-3
- chore: add packit

* Wed Jul 19 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.5.0-2
- Rebuild for Python 3.12b4

* Wed Feb 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.0-1
- Update to 0.5.0 (close RHBZ#2166980)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0^20220417gitf930814-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 08 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3.0^20220417gitf930814-8
- Drop support for i686

* Sat Nov 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0^20220417gitf930814-7
- Rename binary package to match project canonical name

* Sat Nov 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0^20220417gitf930814-6
- Confirm License is SPDX MIT

* Sat Oct 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0^20220417gitf930814-5
- Allow and require lazy-loader ≥0.1

* Tue Aug 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0^20220417gitf930814-4
- Allow lazy-loader 0.1rc3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0^20220417gitf930814-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Python Maint <python-maint@redhat.com> - 0.3.0^20220417gitf930814-2
- Rebuilt for Python 3.11

* Thu Apr 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0^20220417gitf930814-1
- Update to 0.3.0 (close RHBZ#2076089)

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0^20191128git4cc6cbc-1
- Drop “forge” macros to switch to “modern” snapshot versioning

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0-2
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Fri Sep 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0-1
- Update to 0.2.0 and use new Python guidelines (close RHBZ#2003246)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.2-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 11 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.2-1
- Update as per review comments
- https://bugzilla.redhat.com/show_bug.cgi?id=1770496
- Comment out egg info removal
- use -p in cp to preserve time stamp

* Sat Nov 09 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.2-1
- Initial build

